
REIN: Replica-exchange Interface program
======================================================================
__version 1.0__

----------------------------------------------------------------------

  This is the Replica-Exchange INterface (REIN) software package.
  REIN stands for the interface program for Multi-dimensional 
  replica-exchange simulations. This program was written in MPI and 
  Fortran 95/2003. REIN uses conventional MD packages, when it 
  performs REMD. Currently NAMD2 is supported.

__REIN was developed by__

  __Naoyuki Miyashita (RIKEN CSRP, RIKEN AICS and RIKEN QBiC), and__
  __Yuji Sugita (RIKEN ASI, RIKEN AICS, RIKEN QBiC).__

----------------------------------------------------------------------

#### Announcement

  See twitter [@rein_devel] (http://twitter.com/rein_devel)
  or contact <yukimya+rein@gmail.com>

#### Acknowledgements:

 - Mr. Norio Takase (Isogo Soft)
 - Dr. Suyong Re (RIKEN ASI)
 - Dr. Pai-chi Li (RIKEN ASI)
 - Prof. Mitsunori Ikeguchi (Yokohama City University)

#### Supported by

 - Research and Development of Next-Generation Integrated Simulation 
   of Living Matter (ISLiM), a part of the Development and Use of the 
   Next-Generation Supercomputer Project of the Ministry of Education, 
   Culture, Sports, Science and Technology (MEXT) of Japan
 - RIKEN Quautitative Biology Center (QBiC)
 - RIKEN Advanced Institute for Computational Science (AICS)
 - RIKEN Advanced Science Institute (ASI)
 - JSPS KAKENHI Grant Grant-in-Aid for Young Scientists (B) Number 
   24700299
 - HPCI Young Scientists Number hp120173

----------------------------------------------------------------------

__Copyright (c) 2012, RIKEN, Japan__

__REIN is free software:__ 
You can redistribute it and/or modify it under the terms of the GNU 
General Public License as published by the Free Software Foundation, 
either version 3 of the License, or (at your option) any later version.


REIN is distributed in the hope that it will be useful, but WITHOUT 
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. You should have received a copy of the GNU General 
Public License along with mu2lib.  
If not, see [web site of GNU](http://www.gnu.org/licenses/).

----------------------------------------------------------------------

The program may be used and freely distributed for academic purposes, 
provided the authors are credited in all publications describing work 
done with use of the program. You can simply cite the following 
publication and website.

- Naoyuki Miyashita, Suyong Re, and Yuji Sugita,
"REIN: Replica-exchange Molecular Dynamics Simulation Interface for 
Massivly Parallel Super Computers",
to be published.
- [ REIN (RIKEN CSRP, ISLiM) ] (http://www.islim.org/islim-dl_e.html)

----------------------------------------------------------------------

#### Directories

    REIN---- README.md         : README file
         |-- AUTHORS.md        : authors file
         |-- note.md           : release notes
         |-- COPYING           : GPL licence file
         |-- src/              : main code of REIN
         |-- tools/            : supporting software for REIN
         |-- examples/         : For tutorial
         `-- manual/manual.pdf : manual

----------------------------------------------------------------------
