#!/bin/sh

#default

if [ $# -lt 2 ]; then
    echo ""
    echo " usage: $0 arch compiler" 1>&2
    echo ""
    echo "  ex) sh configure.sh x86_64 ifort";
    echo "  ex) sh configure.sh sparc fujitsu";
    echo "  ex) sh configure.sh sparc k";
    echo ""
    rm -f Makefile.comp
    rm -f Makefile.machine
    exit -1
fi

rm -f Makefile.comp
rm -f Makefile.machine

arch=$1
compiler=$2
option=$3

filecomp=arch/Makefile.comp.$arch
filearch=arch/Makefile.machine.$arch.$compiler
if ! test -z $option ; then 
    filearch=$filearch.$option
fi

if [ ! -e $filecomp -o ! -e $filearch ]; then
    echo "";
    echo "ERROR: Not supported archtecture or compiler";
    echo " arch     $arch";
    echo " compiler $compiler";
    echo "";
    exit -1
fi

ln -s $filecomp Makefile.comp
ln -s $filearch Makefile.machine

