#-------------------------------------------------------------------------------
#    This source code is part of
#    REIN (Replica-Exchange INterface program) version 1.0
#
#    Written by Naoyuki Miyashita and Yuji Sugita
#    Copyright (c) 2012, RIKEN, Japan
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation, either
#    version 3 of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied
#    warranty of MERCHANTABILITY or FITNESS FOR
#    A PARTICULAR PURPOSE.
#    See the GNU General Public License for more details.
#
#    You should have received a copy of the GNU General
#    Public License along with REIN.
#    If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

#!/usr/bin/perl
#  AUTOMATIC JOB SUBMITTION SCRIPT ===============
#  Author: Naoyuki Miyashita (NM)
#
# perl AUTOMATIC_JOB_SUBMITTION.pl &> log
#
#====INPUT SECTION=================================
$sub_stat            = "qstat";   # pjstat / qstat
$submittion          = "qsub";    # pjsub / qsub
$batch_name          = "rein.sh";  # batch
$tag                 = "rein";

$waiting_time        = 1         ; # minites
$watch_dog_time      = 3         ; # hours
$number_of_run       = 3         ; # number of run

#--------------------------------------------------
$batch_builder_input = "bb.inp";
$batch_builder       = "./batch_builder";

$bb_log              = "bb.log";
$sb_log              = "sub.log";
#==================================================


$command_restart   = $batch_builder 
                  . " " . $batch_builder_input  
                  . " restart > " . $bb_log ;
$command_submit    = $submittion    
                  . " " . $batch_name . " &> "  
                  . $sb_log ;
$s_watch_dog_time  = $watch_dog_time * 60 * 60;
$s_waiting_time    = $waiting_time   * 60;

$cycle             = $s_watch_dog_time / $s_waiting_time;


print "================AUTOMATIC JOB SUBMITTER===========\n";
print "=                   Author  Naoyuki Miyashita(NM) \n";
print "=                                                 \n";
print "=  TOTAL NUMBER OF RUN = $number_of_run   [Jobs]  \n";
print "=  Waiting_time        =  $waiting_time   [min]   \n";
print "=  Total_watchdog_time =  $watch_dog_time [hours] \n";
print "=  Cycle               =  $cycle [times] \n";
print "= Command1  = $command_restart                    \n";
print "= Command2  = $command_submit                     \n";
print "==================================================\n";
print "=                                                 \n";

$chk_run = 0;
$num_run = 0;

for ($j = 0;$j<$cycle;$j++){

  system("$sub_stat > tmp.d");
  $stock = 0;
  open(IN, "tmp.d") || die "can't open tmp.d\n";
  $i=0;
  while (<IN>){
    $line=$_;
    if( $line =~ /$tag/ )
      { $stock = 1; }
  $i++;
  }
  #print "stock = $j : $stock\n";

  if( $stock == 0 && $chk_run == 0 ) {
   system("$command_restart");
   sleep(10);
   system("$command_submit");
   $num_run++;
   print "# SUBMITTED: # $num_run: $command_submit \n";
  } 
  elsif ( $stock == 0 && $chk_run == 1 ) {
    system("$command_restart");
    last;
  }
  if( $num_run == $number_of_run ){ $chk_run = 1;}

  sleep($s_waiting_time);

}
print "==================================================\n";
print "=          Bye.     -- AUTO_SUBMITTER             \n";
print "==================================================\n";
