#!/bin/sh

#default

if [ $# != 2 ]; then
    echo ""
    echo " usage: $0 arch compiler" 1>&2
    echo ""
    echo "  ex) sh configure.sh x86_64 ifort";
    echo "  ex) sh configure.sh x86_64 gfortran";
    echo ""
    rm -f Makefile.machine
    exit -1
fi

rm -f Makefile.machine

arch=$1
compiler=$2

filename=arch/Makefile.$arch.$compiler

if [ ! -e $filename ]; then
    echo "";
    echo "ERROR: Not supported archtecture or compiler";
    echo " arch     $arch";
    echo " compiler $compiler";
    echo "";
    exit -1
fi

ln -s $filename Makefile.machine
