/*
-------------------------------------------------------------------------------
!    This source code is part of
!    REIN (Replica-Exchange INterface program) version 1.0
!
!    Written by Naoyuki Miyashita and Yuji Sugita
!    Copyright (c) 2012, RIKEN, Japan
!
!    This program is free software; you can redistribute it and/or
!    modify it under the terms of the GNU General Public License
!    as published by the Free Software Foundation, either
!    version 3 of the License, or (at your option) any later version.
!
!    This program is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied
!    warranty of MERCHANTABILITY or FITNESS FOR
!    A PARTICULAR PURPOSE.
!    See the GNU General Public License for more details.
!
!    You should have received a copy of the GNU General
!    Public License along with REIN.
!    If not, see <http://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------
*/

//-----------------------------------------------------
#ifndef __c_types_h__
#define __c_types_h__
//-----------------------------------------------------

typedef char             cBool;
typedef char             cChar;
typedef unsigned char    cByte;
typedef short            cShort;
typedef unsigned short   cUShort;
#ifdef __GNUC__
#include <stdint.h>
  typedef int32_t        cInt;
  typedef uint32_t       cUInt;
  typedef int64_t        cInt64;
  typedef uint64_t       cUInt64;
#else
  typedef __int32          cInt;
  typedef unsigned __int32 cUInt;
  #ifdef K
  typedef __int32          cInt64;
  typedef unsigned __int32 cUInt64;
  #else
  typedef __int64          cInt64;  // modified by NYM on 20110624
  typedef unsigned __int64 cUInt64; // modified by NYM on 20110624
  #endif
#endif
typedef long             cLong;
typedef unsigned long    cULong;
typedef float            cFloat;
typedef double           cDouble;

//-----------------------------------------------------
#endif // !__c_types_h__
//-----------------------------------------------------
