!-------------------------------------------------------------------------------
!    This source code is part of
!    REIN (Replica-Exchange INterface program) version 1.0
!
!    Written by Naoyuki Miyashita and Yuji Sugita
!    Copyright (c) 2012, RIKEN, Japan
!
!    This program is free software; you can redistribute it and/or
!    modify it under the terms of the GNU General Public License
!    as published by the Free Software Foundation, either 
!    version 3 of the License, or (at your option) any later version.
!
!    This program is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied 
!    warranty of MERCHANTABILITY or FITNESS FOR 
!    A PARTICULAR PURPOSE.  
!    See the GNU General Public License for more details.
!
!    You should have received a copy of the GNU General 
!    Public License along with REIN.  
!    If not, see <http://www.gnu.org/licenses/>.
!-------------------------------------------------------------------------------

!--------1---------2---------3---------4---------5---------6---------7---------8
!
!  Module   cnv_data_str_mod
!> @brief   structure for convert list
!! @authors Norio Takase (NT), Naoyuki Miyashita (NM), Yuji Sugita (YS)
!! @date    2012/05/29 
!
!--------1---------2---------3---------4---------5---------6---------7---------8

module cnv_data_str_mod

  implicit none
  private

  ! parameters
  integer, public,  parameter :: CnvTypeReplica    = 1
  integer, public,  parameter :: CnvTypeCondition  = 2

  ! structures
  type, public :: s_cnv_in
    character(200)            :: directory
    character(200)            :: trjfile
    character(200)            :: rnkfile
    character(200)            :: enefile
    integer                   :: begin_step
    integer                   :: first_step
    integer                   :: last_step
    integer                   :: step_increment
    integer                   :: num_steps
  end type s_cnv_in

  type, public :: s_cnv_data
    integer                   :: trj_format
    type(s_cnv_in), pointer   :: cnv_in(:)     => null()
    integer                   :: num_ene_column
    logical                   :: ene_column_old
    logical                   :: ene_column_09
    integer,        pointer   :: ene_column(:) => null()
    integer                   :: cnv_type
    integer,        pointer   :: cnv_list(:)   => null()
    integer                   :: num_replicas
    logical                   :: pbc_correct
    integer                   :: trjout_format
    integer                   :: trjout_type
    character(200)            :: trjout_file
  end type s_cnv_data

end module cnv_data_str_mod
